/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:42pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\lesser\ArcaneDaemonsHorn.cs
Lines of code: 50

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class ArcaneDaemonsHorn : WarFork
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public ArcaneDaemonsHorn()
		{
			Hue = 2101;
			Name="Arcane Daemon's Horn";
			WeaponAttributes.HitLowerAttack = 40;
            WeaponAttributes.HitLowerDefend = 40;
			WeaponAttributes.HitMagicArrow = 40;
            Attributes.SpellChanneling = 1;
			Attributes.WeaponSpeed = 10;
			WeaponAttributes.LowerStatReq = 100;
			
			AosElementDamages.Physical=80;
			AosElementDamages.Fire=20;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;			
		}

		public ArcaneDaemonsHorn( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			
			if(version==0)
			{
				AosElementDamages.Physical=80;
				AosElementDamages.Fire=20;
				AosElementDamages.Cold=0;
				AosElementDamages.Poison=0;
				AosElementDamages.Energy=0;
				AosElementDamages.Chaos=0;				
			}
		}
			
	}
}